ClampColor File Reference
`#include <osg/StateAttribute>`

Go to the source code of this file.

## Classes

class | osg::ClampColor

## Namespaces

namespace | osg

## Macros

#define | OSG_CLAMPCOLOR 1
#define | GL_RGBA_FLOAT_MODE_ARB 0x8820
#define | GL_CLAMP_VERTEX_COLOR_ARB 0x891A
#define | GL_CLAMP_FRAGMENT_COLOR_ARB 0x891B
#define | GL_CLAMP_READ_COLOR_ARB 0x891C
#define | GL_FIXED_ONLY_ARB 0x891D
#define | GL_FIXED_ONLY GL_FIXED_ONLY_ARB
#define | GL_CLAMP_VERTEX_COLOR GL_CLAMP_VERTEX_COLOR_ARB
#define | GL_CLAMP_READ_COLOR GL_CLAMP_READ_COLOR_ARB
#define | GL_CLAMP_FRAGMENT_COLOR GL_CLAMP_FRAGMENT_COLOR_ARB

## Macro Definition Documentation

## GL_CLAMP_FRAGMENT_COLOR

#define GL_CLAMP_FRAGMENT_COLOR GL_CLAMP_FRAGMENT_COLOR_ARB

## GL_CLAMP_FRAGMENT_COLOR_ARB

#define GL_CLAMP_FRAGMENT_COLOR_ARB 0x891B

## GL_CLAMP_READ_COLOR

#define GL_CLAMP_READ_COLOR GL_CLAMP_READ_COLOR_ARB

## GL_CLAMP_READ_COLOR_ARB

#define GL_CLAMP_READ_COLOR_ARB 0x891C

## GL_CLAMP_VERTEX_COLOR

#define GL_CLAMP_VERTEX_COLOR GL_CLAMP_VERTEX_COLOR_ARB

## GL_CLAMP_VERTEX_COLOR_ARB

#define GL_CLAMP_VERTEX_COLOR_ARB 0x891A

## GL_FIXED_ONLY

#define GL_FIXED_ONLY GL_FIXED_ONLY_ARB

## GL_FIXED_ONLY_ARB

#define GL_FIXED_ONLY_ARB 0x891D

## GL_RGBA_FLOAT_MODE_ARB

#define GL_RGBA_FLOAT_MODE_ARB 0x8820

## OSG_CLAMPCOLOR

#define OSG_CLAMPCOLOR 1